Subject: Re: bug#18282: 24.3.93; Tab completion in gud-gdb at the start of a line overwrites the prompt.

From: Glenn Morris <[email-masked]>
Date: Tue, 19 Aug 2014 15:45:10 -0400

I wonder if the problem is this note from gud-gdb-completions:

    ;; `gud-gdb-run-command-fetch-lines' has some nasty side-effects on the
    ;; buffer (via `gud-delete-prompt-marker'): it removes the prompt and then
    ;; re-adds it later, thus messing up markers and overlays along the way.
    ;; This is a problem for completion-in-region which uses an overlay to
    ;; create a field.
    ;; So we restore completion-in-region's field if needed.

completion-in-region doesn't use an overlay any more (so the comment and
workaround are in any case outdated), it uses a marker, which presumably
gets moved behind its back. Dunno how you fix things up to make the
marker point back where it should.

python.el seems to have a similar need, and to solve it using
python-shell-send-string-no-output (use
comint-preoutput-filter-functions to prevent completion output getting
inserted into the buffer).